Bug 9779 - Printer running out of paper jams entire queue
Summary: Printer running out of paper jams entire queue
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-25 15:02 UTC by Ken Crandall
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-25 18:00:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ken Crandall 2000-02-25 15:02:49 UTC
When a local printer runs out of paper, the queue jams and all other
printers are unable to print unless the LPR daemon is restarted.

Configuration:

Epson-Compatable local printer on /dev/lp1
Several serial printers on /dev/ttySx (connected via Stallion multi-port
serial card.)

The configuration was tested as boot root and in userspace.

Comment 1 Ken Crandall 2000-02-25 18:00:59 UTC
Additional Information:

The isolation problem only occurs when the machine is rebooted with a job in the
queue (in other words, printing on all printers still continue even when one of
the other printers encounters an error).

This would seem to indicate that local printers are being handled differently
than net printers as far as queue processing is concerned...

Comment 2 Bernhard Rosenkraenzer 2000-07-17 15:18:00 UTC
This is fixed in rawhide with the move to LPRng.


Note You need to log in before you can comment on or make changes to this bug.